airspy_gpio(1)

NAME
airspy_gpio - read and write gpio pin values

DESCRIPTION
The Airspy is a tiny and efficient software defined radio receiver.

This application lets the user read and write gpio pins.

SYNOPSIS
airspy_gpio

OPTIONS

-p, --port_no <p>: set port number<p>[0,7] for subsequent read/write operations

-n, --pin_no <n>: set pin number<n>[0,31] for subsequent read/write operations

-r, --read: read port number/pin number value and direction specified by last -n argument, or all port/pin

-w, --write <v>: write value specified by last -n argument with value<v>[0,1]

[-s serial_number_64bits]: Open board with specified 64bits serial number.

Examples

<command> -p 0 -n 12 -r # reads from port 0 pin number 12

<command> -r          # reads all pins on all ports

<command> -p 0 -n 10 -w 1 # writes port 0 pin number 10 with 1 decimal

Hardware Info AirSpy

LED1(out): -p 0 -n 12 (0=OFF, 1=ON)

Enable R820T(out): -p 1 -n 7 (0=OFF, 1=ON)

Enable BiasT(out): -p 1 -n 13 (0=OFF, 1=ON)

SEE ALSO
Airspy web page: http://airspy.com/

Other airspy programs:

airspy_info(1), airspy_si5351c(1), airspy_spiflash(1), airspy_gpio(1), airspy_gpiodir(1), airspy_lib_version(1)

AUTHOR
This manual page was written by Maitland Bottoms for the Debian project (but may be used by others).

COPYRIGHT
Copyright (c) 2015 A. Maitland Bottoms <bottoms@debian.org>

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.